< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package documentmetadata_dms
  Definition Classes
    wco
-  package _2
  Definition Classes
    documentmetadata_dms
- MetaData
- ObjectFactory

c

wco.datamodel.wco.documentmetadata_dms._2

# MetaData 

###

#### class MetaData extends AnyRef

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="WCODataModelVersionCode" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataWCODataModelVersionCodeType" minOccurs="0"/>
            <element name="WCOTypeName" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataWCOTypeNameTextType" minOccurs="0"/>
            <element name="ResponsibleCountryCode" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataResponsibleCountryCodeType" minOccurs="0"/>
            <element name="ResponsibleAgencyName" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataResponsibleAgencyNameTextType" minOccurs="0"/>
            <element name="AgencyAssignedCustomizationCode" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataAgencyAssignedCustomizationCodeType" minOccurs="0"/>
            <element name="AgencyAssignedCustomizationVersionCode" type="{urn:wco:datamodel:WCO:MetaData_DS-DMS:2}MetaDataAgencyAssignedCustomizationVersionCodeType" minOccurs="0"/>
            <choice>
              <group ref="{urn:wco:datamodel:WCO:DocumentMetaData-DMS:2}Declaration"/>
              <group ref="{urn:wco:datamodel:WCO:DocumentMetaData-DMS:2}Response" maxOccurs="unbounded"/>
            </choice>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaData
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MetaData()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  def getAgencyAssignedCustomizationCode(): MetaDataAgencyAssignedCustomizationCodeType

   Gets the value of the agencyAssignedCustomizationCode property.

   Gets the value of the agencyAssignedCustomizationCode property.

   returns

     possible object is ``

10.  def getAgencyAssignedCustomizationVersionCode(): MetaDataAgencyAssignedCustomizationVersionCodeType

    Gets the value of the agencyAssignedCustomizationVersionCode property.

    Gets the value of the agencyAssignedCustomizationVersionCode property.

    returns

      possible object is ``

11.  def getAny(): AnyRef

    Gets the value of the any property.

    Gets the value of the any property.

    returns

      possible object is ``

12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getResponse(): List[AnyRef]

    Gets the value of the response property.

    Gets the value of the response property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a <CODE>set</CODE> method for the response property.

    For example, to add a new item, do as follows:

           getResponse().add(newItem);

    Objects of the following type(s) are allowed in the list ``

14.  def getResponsibleAgencyName(): MetaDataResponsibleAgencyNameTextType

    Gets the value of the responsibleAgencyName property.

    Gets the value of the responsibleAgencyName property.

    returns

      possible object is ``

15.  def getResponsibleCountryCode(): MetaDataResponsibleCountryCodeType

    Gets the value of the responsibleCountryCode property.

    Gets the value of the responsibleCountryCode property.

    returns

      possible object is ``

16.  def getWCODataModelVersionCode(): MetaDataWCODataModelVersionCodeType

    Gets the value of the wcoDataModelVersionCode property.

    Gets the value of the wcoDataModelVersionCode property.

    returns

      possible object is ``

17.  def getWCOTypeName(): MetaDataWCOTypeNameTextType

    Gets the value of the wcoTypeName property.

    Gets the value of the wcoTypeName property.

    returns

      possible object is ``

18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def setAgencyAssignedCustomizationCode(value: MetaDataAgencyAssignedCustomizationCodeType): Unit

    Sets the value of the agencyAssignedCustomizationCode property.

    Sets the value of the agencyAssignedCustomizationCode property.

    value

      allowed object is ``

24.  def setAgencyAssignedCustomizationVersionCode(value: MetaDataAgencyAssignedCustomizationVersionCodeType): Unit

    Sets the value of the agencyAssignedCustomizationVersionCode property.

    Sets the value of the agencyAssignedCustomizationVersionCode property.

    value

      allowed object is ``

25.  def setAny(value: Any): Unit

    Sets the value of the any property.

    Sets the value of the any property.

    value

      allowed object is ``

26.  def setResponsibleAgencyName(value: MetaDataResponsibleAgencyNameTextType): Unit

    Sets the value of the responsibleAgencyName property.

    Sets the value of the responsibleAgencyName property.

    value

      allowed object is ``

27.  def setResponsibleCountryCode(value: MetaDataResponsibleCountryCodeType): Unit

    Sets the value of the responsibleCountryCode property.

    Sets the value of the responsibleCountryCode property.

    value

      allowed object is ``

28.  def setWCODataModelVersionCode(value: MetaDataWCODataModelVersionCodeType): Unit

    Sets the value of the wcoDataModelVersionCode property.

    Sets the value of the wcoDataModelVersionCode property.

    value

      allowed object is ``

29.  def setWCOTypeName(value: MetaDataWCOTypeNameTextType): Unit

    Sets the value of the wcoTypeName property.

    Sets the value of the wcoTypeName property.

    value

      allowed object is ``

30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped